Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cayenne.gen
Enum TemplateType

    java.lang.Object
      java.lang.Enum<TemplateType>
          org.apache.cayenne.gen.TemplateType

All Implemented Interfaces:
  Serializable, Comparable<TemplateType>

    public enum TemplateType

extends Enum<TemplateType>

Defines class generation template types.

Since:
  3.0
Author:
  Andrus Adamchik

Enum Constant Summary
`EMBEDDABLE_SINGLE_CLASS`
`EMBEDDABLE_SUBCLASS`
`EMBEDDABLE_SUPERCLASS`
`ENTITY_SINGLE_CLASS`
`ENTITY_SUBCLASS`
`ENTITY_SUPERCLASS`

Method Summary
`boolean` | `isSuperclass()`
`static TemplateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemplateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENTITY_SINGLE_CLASS

    public static final TemplateType ENTITY_SINGLE_CLASS

### ENTITY_SUPERCLASS

    public static final TemplateType ENTITY_SUPERCLASS

### ENTITY_SUBCLASS

    public static final TemplateType ENTITY_SUBCLASS

### EMBEDDABLE_SINGLE_CLASS

    public static final TemplateType EMBEDDABLE_SINGLE_CLASS

### EMBEDDABLE_SUPERCLASS

    public static final TemplateType EMBEDDABLE_SUPERCLASS

### EMBEDDABLE_SUBCLASS

    public static final TemplateType EMBEDDABLE_SUBCLASS

Method Detail

### values

    public static final TemplateType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TemplateType c : TemplateType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TemplateType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isSuperclass

    public boolean isSuperclass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.